BTRFS-CONVERT(8)

NAME
btrfs-convert - convert from ext2/3/4 filesystem to btrfs or rollback

SYNOPSIS

btrfs-convert [options] <device>

DESCRIPTION

btrfs-convert is used to convert existed ext2/3/4 to btrfs filesystem, and the original filesystem image is accessible as from separate subvolume named ext2_saved as file image.

OPTIONS

-d
    Disable data checksum.

-i
    Ignore xattrs and ACLs.

-n
    Disable packing of small files.

-r
    Roll back to ext2fs.

-l <LABEL>
    set filesystem label during conversion.

-L
    use label from the converted filesystem.

EXIT STATUS

btrfs-convert will return 0 if no error happened. If any problems happened, 1 will be returned.

SEE ALSO

mkfs.btrfs(8)